#pragma once

#include <stddef.h>
#include <aio.h> 

#include "./list.h"

char *ft_strcpy(char *dest, const char *src);
size_t ft_strlen(const char *str);
int ft_strcmp( const char *first, const char *second);
ssize_t ft_write(int fd, const void *buf, size_t count);
char *ft_strdup(const char *s);
ssize_t ft_read(int fildes, void *buf, size_t nbyte);

int ft_list_size(t_list *begin_list);
void ft_list_push_front(t_list **begin_list, void *data);